<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Sysstat extends NA_Controller {
    
    function __construct()
    {
        parent::__construct();
        if(!$this->input->is_cli_request()) {
            die("Not a cli request.");
        }
    }

    /***************************************
     * Sysstatcommands
     ***************************************/

     function check_update($force=false) {
        // Free or trial licenses don't require check
        if (is_free_license() || is_trial_license()) {
            return true;
        }

        $now = time();
        $last_check = get_option("last_update_check_time");

        // We haven't waited long enough (wait 24 hours after last check)
        if ($last_check && $force == false) {
            $timediff = $now - $last_check;
            if ($timediff < (60 * 60 * 24)) {
                return false;
            }
        }

        // Save last check time
        set_option("last_update_check_time", $now);

        $url = 'http://api.nagios.com/versioncheck/?product=nagiosnetworkanalyzer&version='.get_product_version().'&build='.get_build_id().'&stableonly=1&output=xml';
        if (is_25_year_celebration_license()) {
            $url .= '&licensetype=promo';
        }
        $ret = file_get_contents($url);
        if (!empty($ret)) {
            $xml = simplexml_load_string($ret);
        }
        $json = array();

        if (intval($xml->update_available) == 1) {
            $json['update_available'] = 1;
            $json['update_version'] = strval($xml->update_version->version);
        } else {
            $json['update_available'] = 0;
        }
    }
    
    function index()
    {
        $this->logging = 1;

         $this->check_update();


        if ($this->logging) {
            print "Finished checking for updates at " . date('Y-m-d H:i:s') . ".\n";
        }
    }
}